/**
 * @author R�mi Heredero
 * @version 1.0.0
 * @date August 2023
 * @file eeprom_interface.h
 */

#include "eeprom_interface.h"

typedef union {
    struct {
        uint8_t byte0;
        uint8_t byte1;
        uint8_t byte2;
        uint8_t byte3;
    } separate;
    struct {
        uint32_t bytes;
    } full;
} BYTES_4;

void MEM_write_one_byte(uint8_t addresse, uint8_t data) {
    DATAEE_WriteByte(addresse, data);
}

void MEM_write_four_byte(uint8_t addresse, uint32_t data) {
    
}

uint8_t MEM_read_one_byte(uint8_t adresse) {
    return DATAEE_ReadByte(adresse);
}

uint32_t MEM_read_four_byte(uint8_t adresse) {
    
}
